Topic
4 replies Latest Post - ‏2012-12-17T11:32:57Z by SystemAdmin
SystemAdmin
SystemAdmin
300 Posts
ACCEPTED ANSWER

Pinned topic migration from 5.0.0.3 to 5.0.5

‏2012-12-13T13:11:49Z |
Hi,
I have a WL v5.0.0.3 Server running on a full WAS profile and using an Oracle Database.
Is there any doc that details the migration procedure to latest v5.0.5 ?

In v5.0.5 InfoCenter I only read that the existing installation needs to be removed.
Is this the only requirement ?

To make it simple, is the following the correct procedure ?

1) uninstall v5.0.0.3
2) install v5.0.5 (on same installation path or can I change it ?)
3) customize new worklight.war
4) redeploy customized worklight.war on target WAS runtime

I look forward to your comments.
Thanks in advance for your help.
Ciao, STefano.
  • slowhand
    slowhand
    35 Posts
    ACCEPTED ANSWER

    Re: migration from 5.0.0.3 to 5.0.5

    ‏2012-12-13T13:56:53Z  in response to SystemAdmin
    is the following the correct procedure ?

    1) uninstall v5.0.0.3
    2) install v5.0.5 (on same installation path or can I change it ?)
    3) customize new worklight.war
    4) redeploy customized worklight.war on target WAS runtime

    Yes, this is a correct procedure.

    You can also replace step 1 and 2 by:
    1+2) In IM, choose "Update" to update from 5.0.0.3 to 5.0.5.

    What's the difference between both approaches?
    Update will preserve some changes you did to the WAS configuration, with the possible drawback of trouble (caused by mismatch between your changes and 5.0.5 update).
    Uninstall followed by install will not preserve WAS configuration changes, but on the other hand, it is slightly more likely to produce a working configuration out of the box.

    --slowhand
  • SystemAdmin
    SystemAdmin
    300 Posts
    ACCEPTED ANSWER

    Re: migration from 5.0.0.3 to 5.0.5

    ‏2012-12-17T07:29:48Z  in response to SystemAdmin
    Thanks for your prompt reply.

    I would rather prefer the Update option, but I saw this note

    "Important: If you already have a version of IBM Worklight Server installed, you must uninstall it before you install a new version. Failure to do so can result in incomplete installation."

    mentioned in the following link of infocenter

    http://pic.dhe.ibm.com/infocenter/wrklight/v5r0m5/topic/com.ibm.worklight.help.doc/admin/c_installation_prerequisites.html

    Is it an error in the documentation or what ?
    Can you please confirm that the Update option is safe ?

    Ciao, Stefano.
    • slowhand
      slowhand
      35 Posts
      ACCEPTED ANSWER

      Re: migration from 5.0.0.3 to 5.0.5

      ‏2012-12-17T11:08:09Z  in response to SystemAdmin
      > Is it an error in the documentation or what ?
      > Can you please confirm that the Update option is safe ?

      The documentation is telling the same thing as I said:
      "Uninstall + Install" is safer; it always produces a working configuration.
      But the "Update" action, on the other hand, will -- when it succeeds --
      preserve some changes you did to the WAS configuration, that
      "Uninstall + Install" would overwrite.

      --slowhand
      • SystemAdmin
        SystemAdmin
        300 Posts
        ACCEPTED ANSWER

        Re: migration from 5.0.0.3 to 5.0.5

        ‏2012-12-17T11:32:57Z  in response to slowhand
        Bruno,
        thanks for this further clarification.
        Ciao; Stefano.